org.eclipse.incquery.runtime.rete.recipes.impl

## Class InputRecipeImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.incquery.runtime.rete.recipes.impl.ReteNodeRecipeImpl
          - - org.eclipse.incquery.runtime.rete.recipes.impl.InputRecipeImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, InputRecipe, ReteNodeRecipe

      public class InputRecipeImpl
      extends ReteNodeRecipeImpl
      implements InputRecipe

  An implementation of the model object 'Input Recipe'.

  The following features are implemented:

  - `Input Key`
  - `Key ID`
  - `Key Arity`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `eDerivedOperationID(int baseOperationID, java.lang.Class<?> baseClass)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `java.lang.Object` | `eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `int` | `getArity()`
    `java.lang.Object` | `getInputKey()`
    `int` | `getKeyArity()`
    `java.lang.String` | `getKeyID()`
    `void` | `setInputKey(java.lang.Object newInputKey)`
    `void` | `setKeyArity(int newKeyArity)`
    `void` | `setKeyID(java.lang.String newKeyID)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.recipes.impl.ReteNodeRecipeImpl

      `getTraceInfo, setTraceInfo`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.ReteNodeRecipe

      `getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getInputKey

          public java.lang.Object getInputKey()

      Specified by:
        `getInputKey` in interface `InputRecipe`
      Returns:
        the value of the 'Input Key' attribute.
      See Also:
        `InputRecipe.setInputKey(Object)`, `RecipesPackage.getInputRecipe_InputKey()`

    - #### setInputKey

          public void setInputKey(java.lang.Object newInputKey)

      Specified by:
        `setInputKey` in interface `InputRecipe`
      Parameters:
        `newInputKey` - the new value of the 'Input Key' attribute.
      See Also:
        `InputRecipe.getInputKey()`

    - #### getKeyID

          public java.lang.String getKeyID()

      Specified by:
        `getKeyID` in interface `InputRecipe`
      Returns:
        the value of the 'Key ID' attribute.
      See Also:
        `InputRecipe.setKeyID(String)`, `RecipesPackage.getInputRecipe_KeyID()`

    - #### setKeyID

          public void setKeyID(java.lang.String newKeyID)

      Specified by:
        `setKeyID` in interface `InputRecipe`
      Parameters:
        `newKeyID` - the new value of the 'Key ID' attribute.
      See Also:
        `InputRecipe.getKeyID()`

    - #### getKeyArity

          public int getKeyArity()

      Specified by:
        `getKeyArity` in interface `InputRecipe`
      Returns:
        the value of the 'Key Arity' attribute.
      See Also:
        `InputRecipe.setKeyArity(int)`, `RecipesPackage.getInputRecipe_KeyArity()`

    - #### setKeyArity

          public void setKeyArity(int newKeyArity)

      Specified by:
        `setKeyArity` in interface `InputRecipe`
      Parameters:
        `newKeyArity` - the new value of the 'Key Arity' attribute.
      See Also:
        `InputRecipe.getKeyArity()`

    - #### getArity

          public int getArity()

      Specified by:
        `getArity` in interface `InputRecipe`
      Specified by:
        `getArity` in interface `ReteNodeRecipe`
      Overrides:
        `getArity` in class `ReteNodeRecipeImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `ReteNodeRecipeImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `ReteNodeRecipeImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `ReteNodeRecipeImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `ReteNodeRecipeImpl`

    - #### eDerivedOperationID

          public int eDerivedOperationID(int baseOperationID,
                                         java.lang.Class<?> baseClass)

      Specified by:
        `eDerivedOperationID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eDerivedOperationID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eInvoke

          public java.lang.Object eInvoke(int operationID,
                                          org.eclipse.emf.common.util.EList<?> arguments)
                                   throws java.lang.reflect.InvocationTargetException

      Specified by:
        `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eInvoke` in class `ReteNodeRecipeImpl`
      Throws:
        `java.lang.reflect.InvocationTargetException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ReteNodeRecipeImpl`